# UpdateSessionSavedataRequest | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class UpdateSessionSavedataRequest

- Defined in src/@types/PokerogueSessionSavedataApi.ts:1

##### Index

### Constructors

constructor

### Properties

clientSessionId
secretId
slot
trainerId

## Constructors

### constructor

- new UpdateSessionSavedataRequest(): UpdateSessionSavedataRequest

  #### Returns UpdateSessionSavedataRequest

## Properties

### clientSessionId

clientSessionId: string

- Defined in src/@types/PokerogueSessionSavedataApi.ts:5

### secretId

secretId: number

- Defined in src/@types/PokerogueSessionSavedataApi.ts:4

### slot

slot: number

- Defined in src/@types/PokerogueSessionSavedataApi.ts:2

### trainerId

trainerId: number

- Defined in src/@types/PokerogueSessionSavedataApi.ts:3